
QGIS Application - Bug report #15453

TypeError always occurs in closeEvent in AlgorithmDialog.py when run "Refactor fields" tool (QGIS 

Tool).

2016-08-18 01:29 AM - sand thorn

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 23379

Description

This is reproduced on  

2.16.1-2 Windows x86_64

2.17.0-33 Windows x86_64

Traceback (most recent call last):

File "C:/PROGRA~1/QGISWE~1/apps/qgis-dev/./python/plugins\\processing\\gui\\AlgorithmDialog.py", line 290, in closeEvent

QgsMapLayerRegistry.instance().layerWasAdded.disconnect(self.mainWidget.layerAdded)

TypeError: 'instancemethod' object is not connected

Despite the TypeError, the operation seems successful.

History

#1 - 2017-04-27 06:18 AM - Alexander Bruy

- Operating System deleted (Windows x86_64)

- Category set to Processing/QGIS

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-13 10:21 AM - Alexander Bruy

- Status changed from Open to Closed

- Description updated

- Resolution set to worksforme

Works fine with latest 2.18 and master. Please reopen if necessary
